import { useMemo } from "react";
import { useLocation } from "react-router-dom";
// Camel case to label with space
export function formatLabel(label) {
    return label.replace(/([A-Z])/g, " $1").replace(/^./, function (str) {
        return str.toUpperCase();
    });
}
export const genericIcons = {
    string: "fa-regular fa-text",
    date: "fa-solid fa-calendar-days",
    int: "fa-regular fa-hashtag",
    bool: "fa-regular fa-square-check",
};
export function useQuery() {
    const { search } = useLocation();
    return useMemo(() => new URLSearchParams(search), [search]);
}
export function getTextWidth(text) {
    const canvas = document.createElement("canvas");
    const context = canvas.getContext("2d");
    if (context != null) {
        context.font = "600 14px Roboto";
    }
    return context?.measureText(text).width ?? 80;
}
