import { jsx as _jsx } from "react/jsx-runtime";
import { InputAdornment } from "@mui/material";
import NerdMaskField from "../nerdMaskField/nerdMaskField";
/**
 *
 * @param {NerdCurrencyFieldProps} props Component props
 * @returns {ReactElement} NerdCurrencyField
 */
export default function NerdCurrencyField(props) {
    const { value, onChange, textFieldProps, currencySymbol = "$", decimalCharacter = ".", digitGroupSeparator = ",", multiplier, signed, normalizeZeros = false, padFractionalZeros = false, max, min, maxDigitAfterDecimal, } = props;
    return (_jsx(NerdMaskField, { value: value != undefined
            ? multiplier
                ? (value / multiplier).toString()
                : value?.toString()
            : "", textFieldProps: {
            InputProps: {
                startAdornment: (_jsx(InputAdornment, { position: "start", children: currencySymbol })),
            },
            inputProps: { sx: { textAlign: "right" } },
            ...textFieldProps,
        }, mask: "num", blocks: {
            num: {
                mask: Number,
                signed,
                thousandsSeparator: digitGroupSeparator,
                scale: multiplier && multiplier > 9
                    ? multiplier.toFixed().length - 1
                    : maxDigitAfterDecimal != undefined
                        ? maxDigitAfterDecimal
                        : 16,
                normalizeZeros,
                radix: decimalCharacter,
                padFractionalZeros,
                max,
                min,
            },
        }, onAccept: (_value, mask) => {
            const newValue = Number(mask.unmaskedValue);
            if (newValue != value)
                onChange?.(multiplier ? newValue * multiplier : newValue);
        } }));
}
