import { jsx as _jsx } from "react/jsx-runtime";
import { FormControlLabel, Switch } from "@mui/material";
import React from "react";
/**
 * DataGrid boolean filter input.
 *
 * @param {GridFilterInputValueProps} props Component props
 * @returns {React.ReactElement} CheckBox input for boolean type filter.
 */
export default function BoolOperatorInput(props) {
    const { item, applyValue, focusElementRef } = props;
    const ref = React.useRef(null);
    React.useImperativeHandle(focusElementRef, () => ({
        focus: () => {
            ref?.current?.querySelector(`input[value="${item.value || ""}"]`)?.focus();
        },
    }));
    const handleFilterChange = (event) => {
        applyValue({ ...item, value: event.target.checked });
    };
    return (_jsx(FormControlLabel, { sx: { paddingLeft: "20px", paddingTop: "10px" }, control: _jsx(Switch, { checked: item.value || false, onChange: (e) => handleFilterChange(e), inputProps: { "aria-label": "controlled" } }), label: item.columnField.charAt(0).toUpperCase() +
            item.columnField.substring(1, item.columnField.length) }));
}
