import { DialogProps } from "@mui/material";
import { DateTime } from "luxon";
import { ReactElement } from "react";
import { NerdDatePickerProps } from "../nerdDatePicker/nerdDatePicker";
import { NerdTimePickerProps } from "../nerdTimePicker/nerdTimePicker";
import { NerdDateRangePickerProps } from "../nerdDateRangePicker/nerdDateRangePicker";
export interface NerdTimeZoneObject {
    label: string;
    value: string;
    offset: number;
}
export interface NerdDateTimeRangePickerProps {
    startDate: DateTime;
    endDate: DateTime;
    onChange: (startDate: DateTime, endDate: DateTime) => void;
    startDatePickerProps?: Partial<NerdDatePickerProps>;
    startTimePickerProps?: Partial<NerdTimePickerProps>;
    endTimePickerProps?: Partial<NerdTimePickerProps>;
    endDatePickerProps?: Partial<NerdDatePickerProps>;
    timeFormat?: "12" | "24";
    disableTimeZones?: boolean;
    disableAllDay?: boolean;
    DialogProps?: Partial<DialogProps>;
    disableVirtualizedAutocomplete?: boolean;
    nerdDateRangePickerProps?: Partial<NerdDateRangePickerProps>;
}
/**
 *
 * @param {NerdDateTimeRangePickerProps} props component props
 * @returns {ReactElement} NerdDateTimeRangePicker
 */
export default function NerdDateTimeRangePicker(props: NerdDateTimeRangePickerProps): ReactElement;
