import { jsx as _jsx } from "react/jsx-runtime";
import Grid from "@mui/material/Grid";
import Pagination from "@mui/material/Pagination";
import CustomArrow from "./customArrow";
import { useMediaQuery, useTheme } from "@mui/material";
const PageActions = (props) => {
    const { page, onPageChange, selectPages, disabledNext } = props;
    const pagesStored = [
        ...Array.from(new Set(selectPages.sort((a, b) => a - b))),
    ];
    const theme = useTheme();
    const matches = useMediaQuery(theme.breakpoints.down("sm"));
    return (_jsx(Grid, { container: true, alignItems: "center", justifyContent: "center", children: _jsx(Grid, { item: true, children: _jsx(CustomArrow, { ...{
                    onPageChange,
                    page,
                    disabledNext,
                    pagesStored,
                }, children: _jsx(Pagination, { count: pagesStored[pagesStored.length - 1], page: page, siblingCount: matches ? 0 : 1, size: matches ? "small" : "medium", hideNextButton: true, hidePrevButton: true, sx: {
                        display: "inline",
                        "&.MuiPagination-root *": {
                            display: "inline",
                        },
                    }, onChange: (event, page) => {
                        onPageChange(event, page);
                    } }) }) }) }));
};
export default PageActions;
